Subject: bug#12797: closed (Re: bug#12797: 24.3.50; mml-atttach-file (C-c C-a) and ido)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Jul 2013 04:07:03 +0000

Your bug report

#12797: 24.3.50; mml-atttach-file (C-c C-a) and ido

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12797: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12797
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12797: 24.3.50; mml-atttach-file (C-c C-a) and ido
From: Leo Liu <[email-masked]>
To: Jambunathan K <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Jul 2013 12:06:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2012-11-06 13:20 +0800, Jambunathan K wrote:
> Thanks for the suggestion.  I now have this in my customizations.
>
>   (custom-set-variables
>    '(ido-everywhere t)
>    '(ido-mode (quote both) nil (ido)))
>
> Retrospectively, I see that choice of `everywhere' is unfortunate.  It
> is ambiguous.  So a `both' in `ido-mode' is not the same as
> `everywhere'.  The "somewhere" - which is reading file names, as opposed
> to visiting it etc - is what everywhere accounts for but both leaves
> out.
>
> A user is very unlikely to note subtle differences.
>
> I have hard time understanding what (ido-everywhere) does. 
>
> My recommedation is to have `ido-everywhere' set to t by default or be
> set automatically (via a custom set function) whenever `ido-mode' is
> changed.
>
> ps: I still don't understand everywhere means.  So I will leave the
> proposed change to others.

There are some cleanups to do in ido. But let's leave them for later.

Leo

Subject: 24.3.50; mml-atttach-file (C-c C-a) and ido
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sun, 04 Nov 2012 12:58:54 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

When I am attaching files to mails via C-c C-a, I am fooled in to
thinking that the intereface for reading file is not that of ido but the
default one (Emacs + icomplete).  The problem is slightly exacerbated on
my end because of my patch to icomplete.el which shifts the field
separator from "," to " | ".  

I frequently type backspace at the prompt only to be disappointed that
the prompt doesn't back out to parent directory but only deletes a char.

1. I can defalias it

    (defalias 'read-file-name 'ido-read-file-name)

2. One can mark it separately thus (as ido already does for some
   functions)

    (put 'read-file-name 'ido 'ido-read-file-name)

I am not sure which of the options is best.  (2) might be better of the
two options but it needs extra handling elswhere.

Can someone install the needful, so that I don't keep tripping over
differences in the implementation.

In GNU Emacs 24.3.50.4 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-11-03 on debian-6.05
Bzr revision: 110779 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t